<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1simulator_1_1_simulator.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::simulator::Simulator Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">AddDeviceToLog</a>(IODevice *device)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271">BlockCom</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">ConnectionLost</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd">DisableErrorsDisplay</a>(bool value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae">FrameworkManager</a>(std::string name)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673">GetLogPath</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b">GetTabWidget</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7">IsDeviceLogged</a>(const IODevice *device) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">IsDisplayingErrors</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4">IsLogging</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>RunSimu</b>(void) (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b">SetupConnection</a>(std::string address, uint16_t port, Time watchdogTimeout=(Time) 1500000000, size_t rcv_buf_size=10000)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3">SetupLogger</a>(std::string log_path, uint32_t stackSize=1024 *32)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">SetupUserInterface</a>(std::string xml_file)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Simulator</b>(std::string name, int optitrack_mstime=10, float yaw_deg=30, int port=3883) (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">StartLog</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">StopLog</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ToVRPNReference</b>(core::Quaternion quat_in) (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ToVRPNReference</b>(core::Vector3D&lt; double &gt; point_in) (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">UnBlockCom</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">UpdateSendData</a>(const gui::SendData *obj)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Yaw</b>(void) const  (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4">~FrameworkManager</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Simulator</b>() (defined in <a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">flair::simulator::Simulator</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
